import request from '@/utils/request'

// 查询归还提醒--分页
export function listLoan(query) {
  return request({
    url: '/iscs/loan/getIsMaterialsLoanPage',
    method: 'get',
    params: query
  })
}

// 新增归还提醒信息 /dev-api/iscs/type/insertIsMaterialsType
export function addReturnReminder(data) {
  return request({
    url: '/iscs/type/insertIsMaterialsType',
    method: 'post',
    data: data
  })
}

// 修改归还提醒信息 /dev-api/iscs/type/updateIsMaterialsType
export function updateReturnReminder(data) {
  return request({
    url: '/iscs/type/updateIsMaterialsType',
    method: 'post',
    data: data
  })
}

// 删除归还提醒信息 /dev-api/iscs/type/deleteIsMaterialsTypeByMaterialsTypeIds
export function deleteLoan(data) {
  return request({
    url: '/iscs/loan/deleteIsMaterialsLoanByMaterialsLoanIds?materialsLoanIds=' + data,
    method: 'post',
  })
}

// 获取物资详细信息/dev-api/iscs/type/selectIsMaterialsTypeById
export function selectReturnReminderById(query) {
  return request({
    url: '/iscs/type/selectIsMaterialsTypeById?materialsTypeId=' + query,
    method: 'get',
  })
}
